#!/usr/bin/env python3

"""
Generating a new test file:
  ./generate_friend_matrix.py 8 0.32 > test_file.txt
"""

from argparse import ArgumentParser
from random import random

arg_parser = ArgumentParser("Generate an adjacency matrix.")
arg_parser.add_argument("-n", help="Number of students.", default=10, type=int)
arg_parser.add_argument(
    "-p", help="Probability of two students being friends", default=0.2, type=float
)

args = arg_parser.parse_args()

friends = [["N" for _ in range(args.n)] for _ in range(args.n)]
for i in range(args.n):
    for j in range(i, args.n):
        if i == j or random() < args.p:
            friends[i][j] = "Y"
            friends[j][i] = "Y"

print("\n".join(["".join(f) for f in friends]))
